<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}
?>
<div class="templatepopcentering" style="width:500px;margin-top: 1%;">
    <div id='pop' style="border: 1px solid #ffffff;">
    <div class="detil" style="padding: 2px;background-color: white;">           
    <form id="frm_relaas_akta" class="templatepopform" method="post" action="<?php echo base_url().'c_template_akta_permohonan_kasasi_pid/cetak_cabut_kasasi';?>">
            <table id="" style="padding:5px;">              
            <tr><td colspan="2" class="templatepoptitle">
            <?php 
                $i=0;
                foreach ($template->result() as $template)
                {
                    if ($i=='0')
                    {
                        $judul=$template->namatemplate;
                        $judul=explode("Oleh",$judul);
                        $jnsperkara=$template->jnsperkara;
                    }
                }
                    echo strtoupper("Akta Pencabutan Permohonan Kasasi<br/>Perkara ".$template->jnsperkara);
            ?>
            </td></tr>
                <tr>
                    <td class="templatepopleftcol">Akta Cabut Kasasi<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="jenisAkta" id="jenisAkta" class="custom-dropdown__select custom-dropdown__select--white">
                                <?php 
                                    if(!empty($pihakasal) AND $pihakasal==2){
                                        echo '<option value="-1">Pilih Template Akta Kasasi</option>';
                                        echo '<option value="1">Akta Pencabutan Permohonan Kasasi Oleh Terdakwa</option>';
                                        echo '<option value="2">Akta Pencabutan Permohonan Kasasi Terdakwa Tidak Menghadap</option>';
                                        echo '<option value="3">Akta Pencabutan Permohonan Kasasi Penasihat Hukum</option>';
                                    }elseif(!empty($pihakasal) AND $pihakasal==1){
                                        echo '<option value="4">Akta Pencabutan Permintaan Kasasi Penuntut Umum</option>';
                                    }
                                ?>
                                
                                
                            </select>
                        </span>
                    </td>
                </tr>
                <tr class="tr_terdakwa" style="display:none;">
                    <td class="templatepopleftcol">Nama Terdakwa<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="idterdakwa" id="idterdakwa"  class="custom-dropdown__select custom-dropdown__select--white">
                                <?php                                
                                    if($info_DataTerdakwa != ''){
                                        if($info_DataTerdakwa->num_rows>0){
                                            if($info_DataTerdakwa->num_rows>1){
                                                echo '<option value="-1">Pilih Nama Terdakwa</option>';
                                            }foreach ($info_DataTerdakwa->result() as $row) {
                                                $IDPihak = base64_encode($this->encrypt->encode($row->pemohonId));
                                                echo "<option value='".$IDPihak."'>".$this->templatehelper->standradnaming($row->pemohonNama)."</option>";                                                    
                                            }
                                        }else{
                                            echo "<option value='-1'>Terdakwa Tidak Mengajukan Permohonan Kasasi</option>";
                                        }
                                    }else{
                                        echo "<option value='-1'>Terdakwa Tidak Mengajukan Permohonan Kasasi</option>";
                                    }
                                ?>                                 
                            </select>
                        </span>
                    </td> 
                </tr>
                <tr class="tr_kuasa" style="display:none;">
                    <td class="templatepopleftcol">Penasihat Hukum<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="idpenasihat" id="idpenasihat"  class="custom-dropdown__select custom-dropdown__select--white">
                                <?php                                
                                if($listKuasa != ''){
                                    if($listKuasa->num_rows>0){
                                        if($listKuasa->num_rows>1){
                                            echo '<option value="-1">Pilih Kuasa Hukum</option>';
                                        }
                                        foreach ($listKuasa->result() as $row) {
                                            $IDPihak = base64_encode($this->encrypt->encode($row->IDPihak));
                                                echo "<option value='".$IDPihak."'>".$this->templatehelper->standradnaming($row->nama)."</option>";
                                        }                                        
                                    }else{
                                        echo "<option value='-1'>Mohon Mengisikan Kuasa Hukum Terlebih Dahulu</option>";
                                    }
                                }else{
                                    echo "<option value='-1'>ohon Mengisikan Kuasa Hukum Terlebih Dahulu</option>";
                                }
                                ?>                                  
                            </select>
                        </span>
                    </td> 
                </tr>
                <?php 
                    if($pihakasal==1){
                        echo '<tr>';
                        echo '<td class="templatepopleftcol">Penuntut Umum<font color=red>*</font></td>';
                        echo '<td>';
                            echo '<span class="custom-dropdown custom-dropdown--emerald">';
                            echo '<select style="width:250px;"  name="idpenuntut" id="idpenuntut"  class="custom-dropdown__select custom-dropdown__select--white">';
                ?>
                <?php                                
                                if($listPenuntut != ''){
                                    if($listPenuntut->num_rows>0){
                                        if($listPenuntut->num_rows>1){
                                            echo '<option value="-1">Pilih Nama Penuntut Umum</option>';
                                        }foreach ($listPenuntut->result() as $row) {
                                            $IDPihak = base64_encode($this->encrypt->encode($row->IDPihak));
                                            echo "<option value='".$IDPihak."' atttgl='".$this->templatehelper->convertKeTglDatepicker($row->tglPemberitahuan)."'>".$this->templatehelper->standradnaming($row->nama)."</option>";
                                        }
                                    }else{
                                        echo "<option value='-1'>Mohon Mengisikan Penuntut Umum Terlebih Dahulu</option>";
                                    }
                                }else{
                                    echo "<option value='-1'>ohon Mengisikan Penuntut Umum Terlebih Dahulu</option>";
                                }                                                                                                                             
                            echo '</select>';
                            echo '</span>';
                        echo '</td>';
                    echo '</tr>';
                    }
                ?>
                <tr class="trPermintaan" style="display:none;">
                    <td class="templatepopleftcol">Cabut Melalui<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="kasasiMelalui" id="kasasiMelalui"  class="custom-dropdown__select custom-dropdown__select--white">
                                <option value='-1'>Pilih Cabut Melalui</option>
                                <option value='1'>Kalapas</option>
                                <option value='2'>Karutan</option>                                                                                                
                            </select>
                        </span>
                    </td> 
                </tr>
                <tr>
                    <td class="templatepopleftcol">Terhadap Putusan<font color=red>*</font></td>
                        <td style="">
                            <span class="custom-dropdown custom-dropdown--emerald">
                                <select style='width:250px;'  name="putusan" id="putusan" class="custom-dropdown__select custom-dropdown__select--white">                                    
                                    <?php 
                                        if($dataPutusan != ''){
                                            if($dataPutusan->num_rows>0){
                                                if($dataPutusan->num_rows>1){
                                                    echo '<option value="-1">Silakan Pilih Terhadap Putusan</option>';
                                                }foreach ($dataPutusan->result() as $row) {
                                                    $idPut =  base64_encode($this->encrypt->encode($row->idPut));
                                                    echo "<option value='".$idPut."'>".$this->templatehelper->standradnaming($row->tahapan) ."&nbsp;Nomor: ". $row->nomorPerkara .".&nbsp  Tgl Putus : ".$this->templatehelper->convertKeTglIndo($row->tglPutus) ." </option>";
                                                }
                                            }else{
                                                echo 'Data Putusan Tidak Ada';
                                            }
                                        }else{
                                            echo 'Data Putusan Tidak Ada';
                                        }
                                    ?>
                                </select>
                            </span>
                    </td> 
                </tr>                 
                <tr>
                    <td class="templatepopleftcol">Penanda Tangan Akta<font color=red>*</font></td>
                    <td>
                        <span class="custom-dropdown custom-dropdown--emerald">
                            <select style='width:250px;'  name="idpembuatakta" id="idpembuatakta"  class="custom-dropdown__select custom-dropdown__select--white">
                                <?php                                
                                    if($listPembuatAkta != ''){
                                        if($listPembuatAkta->num_rows>0){
                                            foreach ($listPembuatAkta->result() as $row) {
                                                $id = base64_encode($this->encrypt->encode($row->id));
                                                echo "<option value='".$id."'>".$this->templatehelper->standradnaming($row->namaPanitera)."</option>";
                                            }
                                        }
                                    }
                                ?>                                                                                                
                            </select>
                        </span>
                    </td> 
                </tr>                                                     
                <tr>
                    <td colspan="2" style="background:white;" align="center">
                        <input type="hidden" id="enc" name = 'enc' value="<?php echo $enc; ?>"> 
                        <input type="hidden" id="tglcabut" name = 'tglcabut' value="<?php echo $tglcabut; ?>">                       
                        <input type="hidden" id="tglkasasi" name = 'tglkasasi' value="<?php echo $tglkasasi; ?>">
                        <input type="button" id="kembali" value="Kembali" class="btn">
                        <input type="submit" id="print_btn" value="Cetak" class="btn">
                    </td>
                </tr>
            </table>
        </div>
    </div>
</div>

<script type="text/javascript">
$('#kembali').closingFormWin();

$("#jenisAkta").change(function(){
    if(($(this).val()==1)||($(this).val()==2))
    $("tr.tr_terdakwa").show();
    else $("tr.tr_terdakwa").hide();
})
$("#jenisAkta").change(function(){
    if(($(this).val()==2))
    $("tr.trPermintaan").show();
    else $("tr.trPermintaan").hide();
})

$("#jenisAkta").change(function(){
    if(($(this).val()==3))
    $("tr.tr_kuasa").show();
    else $("tr.tr_kuasa").hide();
})
$("#jenisAkta").change(function(){
    if(($(this).val()==4))
    $("tr.tr_penuntut").show();
    else $("tr.tr_penuntut").hide();
})

$('#frm_relaas_akta').submit(function(e) {
    var jenisAkta=$('#jenisAkta').val();
    var putusan=$('#putusan').val(); 

    if(putusan==-1){
        message_error_show('Silahkan Pilih Kasasi Terhadap Putusan');
        e.preventDefault();
    }
    
    if(jenisAkta==2){
        var kasasiMelalui = $('#kasasiMelalui').val();            
        if(kasasiMelalui==-1){
            message_error_show('Silahkan Pilih Permintaan Pencabutan Kasasi Melalui Kalapas/Karutan');
            e.preventDefault();
        }
          
    }
    if(jenisAkta==3){
        var penasihat = $('#penasihat').val();
        if(penasihat==-1){
            message_error_show('Silahkan Pilih Penasihat Hukum');
            e.preventDefault();
        }
    }
    if(jenisAkta==4){
        var penuntut = $('#penuntut').val();
        if(penuntut==-1){
            message_error_show('Silahkan Pilih Penuntut Umum');
            e.preventDefault();
        }
    }
    var idpembuatakta = $('#idpembuatakta').val();
    if(idpembuatakta==''){
        message_error_show('Silahkan Pilih Pembuat Akta Cabut Kasasi');
        e.preventDefault();
    }
    if(jenisAkta==-1){
        message_error_show('Silahkan Pilih Jenis Akta Cabut Kasasi');
        e.preventDefault();
    }
    if((jenisAkta==1)||(jenisAkta==2)){
        var terdakwa = $('#idterdakwa').val();
        if(terdakwa==-1){
            message_error_show('Silahkan Pilih Nama Terdakwa');
            e.preventDefault();
        }
    }

});
</script>